/* ROOT */

:root {
    --Primary        : hsl(0, 94%, 66%);
    --Secondary      : hsl(231, 69%, 60%);
    --blueDarkPrimary: hsl(229, 31%, 21%);
    --textPrimary    : hsl(222, 18%, 78%);
    --grayDarkPrimary: hsl(225, 7%, 24%);
    --whitePrimary   : #FFFFFF;
    --boxShadow      : hsl(240, 6%, 91%);
}

/* FONT */

@font-face {
    font-family: "Rubik-400";
    src        : url("../font/Rubik/Rubik-Regular.ttf");
}

@font-face {
    font-family: "Rubik-500";
    src        : url("../font/Rubik/Rubik-Medium.ttf");
}

/* CSS */ 

/* DESKTOP SCREEN */

@media all and (min-width: 768px) {

    /* GENERAL */

    p {
        color: var(--textPrimary);
    }

    /* NAVBAR */

    #navbar {
        width         : 80%;
        margin        : auto;
        font-family   : Rubik-400;
        letter-spacing: 0.1rem;
    }

    .nav-item a {
        color: #000000;
    }

    .nav-item a:hover {
        color: var(--Primary);
    }

    .nav-item button {
        letter-spacing  : 0.1rem;
        color           : var(--whitePrimary);
        background-color: var(--Primary);
        border          : 2px solid var(--Primary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    .nav-item button:hover {
        color           : var(--Primary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Primary);
    }

    /* BANNER */

    #banner {
        margin-top: 7rem;
    }

    #bannerContent {
        max-width  : 35%;
        margin-left: 11%;
    }

    #banner h1 {
        font-family: "Rubik-500";
    }

    #banner p {
        font-family: "Rubik-400";
        font-size  : 18px;
    }

    /* BANNER BUTTON */

    #chrome {
        color           : var(--whitePrimary);
        background-color: var(--Secondary);
        border          : 2px solid var(--Secondary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    #firefox {
        color           : var(--grayDarkPrimary);
        background-color: var(--textPrimary);
        border          : 2px solid var(--textPrimary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    #chrome:hover {
        color           : var(--Secondary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Secondary);
    }

    #firefox:hover {
        color           : var(--grayDarkPrimary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--textPrimary);
    }

    /* BANNER IMAGE */

    #banner img {
        width  : 50%;
        z-index: 999;
    }

    /* BANNER FIGURE */

    #figure1 {
        position        : absolute;
        display         : block;
        max-width       : 37%;
        height          : 35%;
        max-height      : 35%;
        top             : 440px;
        right           : 0;
        background-color: var(--Secondary);
        border-radius   : 200px 0 0 200px;
        z-index         : 1;
    }

    /* FEATURES */

    /* FEATURES TEXT */

    #featuresText {
        max-width : 55%;
        margin-top: 7rem;
    }

    #featuresText h2 {
        font-family: "Rubik-500";
    }

    #featuresText p{
        font-family: "Rubik-400";
        font-size  : 18px;
    }

    /* FEATURES LINKS */

    #featuresLinks {
        width        : 80%;
        margin-top   : 2rem;
        border-bottom: 1px solid var(--textPrimary);
    }
    
    #featuresLinks a.active {
        border-bottom: 4px solid var(--Primary);
    }
    
    #bookmarkingTab, #searchingTab, #sharingTab {
        font-family: "Rubik-400";
        font-size  : 18px;
        color      : var(--textPrimary);
    }

    #bookmarkingTab:hover, #searchingTab:hover, #sharingTab:hover {
        color: var(--Primary);
    }

    /* FEATURES CONTENT */

    #featuresContent {
        margin-top: 3rem;
    }

    /* FEATURES CONTENT IMAGE */

    #featuresImg {
        z-index: 999;
    }

    /* FEATURES CONTENT TEXT */

    #featuresContent h2 {
        font-family: "Rubik-500";
    }
    
    #featuresContent p {
        font-family: "Rubik-400";
        font-size  : 18px;
    }

    #featuresInfo {
        color           : var(--whitePrimary);
        background-color: var(--Secondary);
        border          : 2px solid var(--Secondary);
    }

    /* FEATURES CONTENT BUTTON */

    #featuresInfo:hover {
        color           : var(--Secondary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Secondary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    /* FEATURES FIGURE */

    #figure2 {
        position        : absolute;
        display         : block;
        max-width       : 39%;
        height          : 30rem;
        max-height      : 35%;
        top             : 1335px;
        left            : 0;
        background-color: var(--Secondary);
        border-radius   : 0 200px 200px 0;
        z-index         : 1;
    }
    
    /* DOWNLOAD */

    /* DOWNLOAD TEXT */

    #downloadText {
        width     : 55%;
        margin-top:  15rem;
    }

    #downloadText h2 {
        font-family: "Rubik-500";
    }

    #downloadText p {
        font-family: "Rubik-400";
        font-size  : 18px;
    }

    /* DOWNLOAD CARD */

    #card2 {
        margin-top: 2rem;
    }

    #card3 {
        margin-top: 5rem;
    }

    #addChrome, #addFirefox, #addOpera {
        border-radius: 15px;
        box-shadow   : 5px 5px 5px var(--boxShadow),  -5px 5px 5px var(--boxShadow);
    }

    #addChrome button, #addFirefox button, #addOpera button {
        color           : var(--whitePrimary);
        background-color: var(--Secondary);
        border          : 2px solid var(--Secondary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    #addChrome button:hover, #addFirefox button:hover, #addOpera button:hover { 
        color           : var(--Secondary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Secondary);
    }

    /* FAQ */

    #faqMenu {
        margin-top: 10rem;
    }

    /* FAQ TEXT */

    #faqMenu h2 {
        font-family: "Rubik-500";
    }

    #faqMenu p {
        font-family: "Rubik-400";
        font-size  : 18px;
        max-width  : 45%;
    }

    /* FAQ ACCORDION */

    #faqAccordion {
        width: 55%;
    }

    #faqAccordion button:focus {
        color     : var(--Primary);
        box-shadow: none;
    }

    #faqAccordion button:focus path {
        stroke: var(--Primary);
    }

    #faqAccordion button svg {
        transform: rotate(180deg);
    }

    #faqAccordion button.collapsed svg {
        transform: rotate(0deg);
    }

    #accord1, #accord2, #accord3, #accord4 {
        border-left  : 0;
        border-right : 0;
        border-radius: 0;
    }
    
    #menuOne, #menuTwo, #menuThree, #menuFoor {
        background-color: var(--whitePrimary);
        border          : 0;
    }

    /* FAQ BUTTON */

    #faqButton {
        color           : var(--whitePrimary);
        background-color: var(--Secondary);
        border          : 2px solid var(--Secondary);
        box-shadow      : -3px 3px 4px var(--boxShadow);
    }

    #faqButton:hover {
        color           : var(--Secondary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Secondary);
    }

    /* CONTACT */

    #contact {
        padding   : 4rem 0;
        margin-top: 10rem;
        color     : var(--whitePrimary);
        background-color:  var(--Secondary);
    }

    #contact h6 {
        font-family   : "Rubik-400";
        font-size     : 18px;
        letter-spacing: 0.1rem;
    }

    #contact h2 {
        margin-top : 2rem;
        max-width  : 35%;
        font-family: "Rubik-500";
    }

    #input {
        width: 300px;
    }

    #contactForm {
        margin-top: 2rem;
    }

    #contactForm button {
        color           : var(--whitePrimary);
        background-color: var(--Primary);
        border          : 2px solid var(--Primary); 
    }

    #contactForm button:hover{
        color           : var(--Primary);
        background-color: var(--whitePrimary);
        border          : 2px solid var(--Primary);
    }

    /* FOOTER */

    #footer {
        padding         : 1.5rem 10rem;
        background-color: var(--blueDarkPrimary);
    }
    
    /* FOOTER LOGO */

    #footerBrand {
        width : 150px;
        height: 25px;
    }

    /* FOOTER NAV */

    #footerNav a {
        font-family   : Rubik-400;
        letter-spacing: 0.1rem;
        color         : var(--whitePrimary);
    }

    #footerNav a:hover {
        font-family   : Rubik-400;
        letter-spacing: 0.1rem;
        color         : var(--Primary);
    }

    /* FOOTER MEDIA */

    #footerMedia1:hover, #footerMedia2:hover {
        fill: var(--Primary);
    }
}

